#!/bin/bash

for dir in outputs/*/; do
    dir_name=$(basename "$dir")
    # Check if the first character is NOT a number
    if [[ ! $dir_name =~ ^[0-9] ]]; then
        echo "Running evaluation for $dir_name"
        python -m src.evaluation_suite.eval_single "outputs/$dir_name"
    fi
done

